stages:
  - lint
  - test

lint python application:
  stage : lint
  image : ubuntu:20.04
  script :
    - apt update
    - apt install -y python3-pip
    - pip3 install -r requirements.txt
    - flake8

test python application:
  stage : test
  image : ubuntu:20.04
  script :
    - apt update
    - apt install -y python3-pip
    - pip3 install -r requirements.txt
    - pytest
